Crypto-4.2.5.1: Collects together existing Haskell cryptographic functions into a package

Safe Haskell | None

Data.Digest.SHA512

Contents

- Function Types

Description

Takes the SHA2 module supplied and wraps it so it takes [Octet] and returns [Octet] where the length of the result is always 64. and http://csrc.nist.gov/publications/fips/fips180-2/fips180-2withchangenotice.pdf.

Synopsis

- hash :: [Octet] -> [Octet]

# Function Types

hash :: [Octet] -> [Octet]

Take [Octet] and return [Octet] according to the standard. The length of the result is always 64 octets or 512 bits as required by the standard.